test_code:
  image: rootproject/root:6.26.14-ubuntu22.04
  stage: test
  before_script:
    - apt-get update && apt-get install -y make cmake libboost-dev git
    # We will install latest CMake, even though Ubuntu has a recent one
    - mkdir -p $HOME/.local
    - curl -s "https://cmake.org/files/v3.28/cmake-3.28.1-linux-x86_64.tar.gz" | tar --strip-components=1 -xz -C $HOME/.local
    - export PATH=$HOME/.local/bin:$PATH
  script:
    - cmake -S examples -B build
    - cmake --build build -v
    - cmake --build build -t test

pages:
  image: node:14-buster
  stage: deploy
  only:
    - master
  cache:
    key:
      files:
        - package-lock.json
    paths:
      - node_modules/
  before_script:
    - apt-get update && apt-get install -y calibre calibre-bin libxss1 libasound2
    - npm install --unsafe-perm
  script:
    - npx gitbook build . public
    - npx gitbook pdf . public/modern-cmake.pdf
  artifacts:
    paths:
      - public
    expire_in: 1 week
